Bug#303523: postfix-tls 2.1.5-5 not using correct SASL settongs

0 views
Skip to first unread message

Jesse Long

unread,
Apr 7, 2005, 3:40:23 AM4/7/05
to
Package: postfix-tls
Version: 2.1.5-9
Severity: important


Hi,

After a apt-get upgrade on 2005-04-05, postfix ignores my
/etc/postfix/sasl/smtpd.conf, and attempts to use /etc/sasldb2

/etc/postfix/sasl/smtpd.conf tells it to use mysql instead.

----/etc/postfix/sasl/smtpd.conf---
pwcheck_method: auxprop
mech_list: PLAIN LOGIN DIGEST-MD5 CRAM-MD5
log_level: 3
sasl_auxprop_plugin: sql
sql_engine: mysql
sql_user: postfix
sql_passwd: p0stf1x
sql_hostnames: localhost
sql_database: postfix
sql_statement: SELECT passwd FROM vmailbox WHERE user = '%u@%r'
sql_verbose: yes
-----------------------------------

----From: /etc/postfix/main.cf ----
smtpd_sasl_application_name = smtpd
smtpd_sasl_auth_enable = yes
smtpd_sasl_security_options = noanonymous
-----------------------------------

----From: /var/log/mail.info-------
Apr 7 08:51:54 ifrit postfix/smtpd[22356]: warning: SASL authentication
problem: unable to open Berkeley db /etc/sasldb2: No such file or
directory
Apr 7 08:51:54 ifrit postfix/smtpd[22356]: warning: SASL authentication
problem: unable to open Berkeley db /etc/sasldb2: No such file or
directory
Apr 7 08:51:54 ifrit postfix/smtpd[22356]: warning: SASL authentication
failure: no secret in database
Apr 7 08:51:54 ifrit postfix/smtpd[22356]: warning:
jesse[192.168.200.23]: SASL CRAM-MD5 authentication failed
Apr 7 08:51:54 ifrit postfix/smtpd[22356]: > jesse[192.168.200.23]: 535
Error: authentication failed
-----------------------------------


I have copied the smtpd.conf config file to /usr/lib/sasl2/, with no
luck.

Cheers,
Jesse

-- System Information:
Debian Release: 3.1
APT prefers testing
APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-1-386
Locale: LANG=en_ZA, LC_CTYPE=en_ZA (charmap=ISO-8859-1)

Versions of packages postfix-tls depends on:
ii libc6 2.3.2.ds1-20 GNU C Library: Shared libraries an
ii libdb4.2 4.2.52-18 Berkeley v4.2 Database Libraries [
ii libgdbm3 1.8.3-2 GNU dbm database routines (runtime
ii libsasl2 2.1.19-1.5 Authentication abstraction library
ii libssl0.9.7 0.9.7e-3 SSL shared libraries
ii postfix 2.1.5-9 A high-performance mail transport

-- no debconf information


--
To UNSUBSCRIBE, email to debian-bugs-...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listm...@lists.debian.org

Reply all
Reply to author
Forward
0 new messages